commit:     e9f4de03c0738a170fd3e882f10f1bd92a83b499
Author:     Sean Vig <sean.v.775 <AT> gmail <DOT> com>
AuthorDate: Sun Oct 11 22:50:30 2015 +0000
Commit:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Sun Oct 11 22:53:30 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=e9f4de03

dev-python/jupyter_client: Version bump to 4.1.1

 dev-python/jupyter_client/ChangeLog                |  5 ++++
 .../jupyter_client/jupyter_client-4.1.1.ebuild     | 35 ++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-python/jupyter_client/ChangeLog 
b/dev-python/jupyter_client/ChangeLog
index 6777646..514e85b 100644
--- a/dev-python/jupyter_client/ChangeLog
+++ b/dev-python/jupyter_client/ChangeLog
@@ -2,6 +2,11 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Id$
 
+*jupyter_client-4.1.1 (11 Oct 2015)
+
+  11 Oct 2015; Sean Vig <[email protected]> +jupyter_client-4.1.1.ebuild:
+  dev-python/jupyter_client: Version bump to 4.1.1
+
   22 Sep 2015; Marius Brehler <[email protected]>
   jupyter_client-9999.ebuild:
   dev-python/jupyter_client: Add ~x86 to KEYWORDS, fixes #561032

diff --git a/dev-python/jupyter_client/jupyter_client-4.1.1.ebuild 
b/dev-python/jupyter_client/jupyter_client-4.1.1.ebuild
new file mode 100644
index 0000000..7a24b82
--- /dev/null
+++ b/dev-python/jupyter_client/jupyter_client-4.1.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python{3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="Jupyter protocol implementation and client libraries"
+HOMEPAGE="http://jupyter.org";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+       dev-python/traitlets[${PYTHON_USEDEP}]
+       dev-python/jupyter_core[${PYTHON_USEDEP}]
+       >=dev-python/pyzmq-14.4.0[${PYTHON_USEDEP}]
+       "
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/coverage[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' 
python2_7)
+               dev-python/ipykernel[${PYTHON_USEDEP}]
+       )
+       "
+
+python_test() {
+       nosetests --with-coverage jupyter_client || die
+}

Reply via email to